import { sql } from 'drizzle-orm';
import { sqliteTable, text, integer } from 'drizzle-orm/sqlite-core';

export const user = sqliteTable('user', {
	id: integer('id').primaryKey({ autoIncrement: true }),
	did: text('did').notNull(),
	handle: text('handle').notNull(),
	created_at: text('created_at')
		.notNull()
		.default(sql`current_timestamp`),
	updated_at: text('updated_at')
		.notNull()
		.default(sql`current_timestamp`)
});

//export type User = typeof user.$inferSelect;
